Subject: Re: [RFC/Patch] ppc4xx_pm.c

From: akuster <[email-masked]>
Date: Thu, 25 Jul 2002 16:55:16 -0700

akuster wrote:
>
> I am in the process of fixing the init of the pm for 4xx in ppc4xx_pm.c
> so that it can be used and I and others have discussed having the
> drivers enable/disable their own power managment bits at init & exit times.
>
> So what I would like to do is have each core header define a default set
> of what is required to be powered on and then have each driver enable
> them selves.  These changes would be done in two stages
>
> 1) fix ppc4xx_pm.c init and have the default pm bitmap set to all ocp
> drivers on.

These patches are the changes to the core header files and for ppc4xx_pm.c.

  Please _note_ that if you enable the Power Managment in the config
that most kernels might hang if you use an ocp device since the drivers
are not updated yet. :)

If no one has an objection, then I will get it submitted

armin